Skip to main content
POST
Create Webhook Endpoint

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Body

application/json

Request body for creating a webhook endpoint.

channel
enum<string>
required

Supported webhook channel types.

Available options:
slack,
discord,
google_chat
url
string
required
Maximum string length: 2048
label
string | null
Maximum string length: 255
events
enum<string>[]
Minimum array length: 1

Events that can trigger webhook notifications.

Available options:
deploy.succeeded,
deploy.failed

Response

Successful Response

Response for creating a webhook endpoint — includes the signing secret (one-time).

id
string<uuid>
required
org_id
string<uuid>
required
channel
string
required
url
string
required
label
string | null
required
events
string[]
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
signing_secret
string
required